Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361868 - Tile loading is slow after the switch to mapbox provided tiles via a proxy
Summary: Tile loading is slow after the switch to mapbox provided tiles via a proxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-maps
Version: 24
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 11:39 UTC by Dominik Grafenhofer
Modified: 2016-09-01 18:52 UTC (History)
13 users (show)

Fixed In Version: gnome-maps-3.20.3-1.fc24 gnome-maps-3.18.4-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1356484
Environment:
Last Closed: 2016-08-26 10:21:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 769352 None None None 2016-07-31 11:39:20 UTC

Description Dominik Grafenhofer 2016-07-31 11:39:21 UTC
Loading of tiles (which have not been cached before) is slow after the switch away from the MapQuest Tile Server. 

Mattias Bengtsson (https://bugzilla.gnome.org/show_bug.cgi?id=764841#c51) created screencasts to demonstrate the effect. It seems that the proxy server creates a significant increase in loading times:

with proxy: https://www.youtube.com/watch?v=UtZM4IuWOOk
without proxy: https://www.youtube.com/watch?v=Q3cgopji3qw

On note on caching: The "problem" is, that gnome-maps is so good, that I have switched away from other offers, to use it almost exclusively, e.g. also for routing. For that use case, caching of tiles is of little help, because I often go to places I have never been to before.

Comment 1 Dominik Grafenhofer 2016-08-23 11:05:54 UTC
The issue has been fixed upstream. See also https://jonasdn.blogspot.de/2016/08/maps-is-fast-again.html

Comment 2 Fedora Update System 2016-08-23 13:15:21 UTC
gnome-maps-3.20.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd5c948000

Comment 3 Fedora Update System 2016-08-23 13:20:36 UTC
gnome-maps-3.18.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b55810ddb

Comment 4 Fedora Update System 2016-08-24 17:25:48 UTC
gnome-maps-3.20.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd5c948000

Comment 5 Fedora Update System 2016-08-24 17:53:09 UTC
gnome-maps-3.18.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b55810ddb

Comment 6 Fedora Update System 2016-08-26 10:21:30 UTC
gnome-maps-3.20.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-09-01 18:52:10 UTC
gnome-maps-3.18.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.